keyhead(1)

Name
keyhead - Change FITS or IRAF header keyword names

Synopsis
sethead [-hknv] <FITS or IRAF file> kw1=kw1a kw2=kwd2a ... kwn=kwdna

Description
Change the names of keywords in FITS or IRAF image headers. Each current image keyword whose entry is to be modified should be followed by an equal sign and a second keyword, with no intervening spaces. If the -r option is used, the value of the second keyword is transferred to that of the first. Otherwise, the name of the first keyword is changed to the second keyword. To change keywords in a list of files, substitute @<listfile> for the file names on the command line. To change a lot of keywords, put them, one pair separated by an = sign with no spaces per line, in a file and substitute @<keylistfile> on the command line. If two @ commands are present, the program will figure out which contains file names and which contains keywords. Lines in a keyword list file which do not contain an = are ignored.

Options

-h  Write HISTORY line into output header with sethead version, current date and time, and names of keywords set.

-k  Write KEYHEAD keyword into output header with the keyhead version, current date and time, and names of keywords whose names are changed. If a KEYHEAD keyword already exists, move the old value to a HISTORY line before writing the new value

-n  Write a new file with an added "e" before the extension.

-r letter
    Replace value of 1st keyword with value of 2nd keyword instead of changing the name of the 1st keyword to the 2nd keyword. The 2nd keyword remains in the header. If the 1st keyword does not exist in the header, it is created.

-v  Print confirmations of each keyword change.

Web Page
http://tdc-www.harvard.edu/software/wcstools/keyhead.html

Author
Jessica Mink, SAO (jmink@cfa.harvard.edu)